# Declaration of Workflow Access routings.

### Workflow settings form
workflow.access.settings:
  path: '/admin/config/workflow/workflow/access'
  defaults:
    _form: '\Drupal\workflow_access\Form\WorkflowAccessSettingsForm'
    _title: 'Access settings'
  requirements:
    _permission: 'administer workflow'
    _module_dependencies: 'workflow'

entity.workflow_type.access_form:
  path: '/admin/config/workflow/workflow/{workflow_type}/access'
  defaults:
    _title: 'Edit Workflow'
    _title_callback: 'workflow_url_get_title'
    _form: '\Drupal\workflow_access\Form\WorkflowAccessRoleForm'
  requirements:
    _permission: 'administer workflow'
    _module_dependencies: 'workflow'
